/*
* Prefixed by https://autoprefixer.github.io
* PostCSS: v8.4.14,
* Autoprefixer: v10.4.7
* Browsers: > 2% and last 1 version
*/

@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 400;
  src: url("../fonts/ptsans-400.woff2") format("woff2");
  font-display: swap;
}

@font-face {
  font-family: "PT Sans";
  font-style: normal;
  font-weight: 700;
  src: url("../fonts/ptsans-700.woff2") format("woff2");
  font-display: swap;
}

*,
*::before,
*::after {
  box-sizing: border-box;
}

html {
  height: 100%;
  background-color: #f2f2f2;
}

body {
  min-width: 1280px;
  height: 100%;
  margin: 0 auto;

  font-family: "PT Sans", sans-serif;
  font-style: normal;
  font-size: 18px;
  line-height: 21px;
  font-weight: 400;

  color: #333333;
}

.page-container {
  display: flex;
  flex-direction: column;
  width: 1200px;
  min-height: 100%;
  margin: 0 auto;

  background-color: #ffffff;
  box-shadow: 0 0 15px 0 hsla(0, 0%, 0%, 0.2);
}

img {
  max-width: 100%;
  height: auto;
  object-fit: contain;
}

.visually-hidden {
  position: absolute;

  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;

  border: 0;
  clip: rect(0 0 0 0);
  overflow: hidden;
}

/* Button */
.button {
  display: inline-block;

  font-family: "PT Sans", sans-serif;
  font-style: normal;
  font-size: 16px;
  line-height: 20px;
  font-weight: 700;
  color: #ffffff;
  text-decoration: none;
  text-transform: uppercase;
  word-break: break-all;

  background-color: #756157;
  border: none;
  border-radius: 4px;
  cursor: pointer;

  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

.button:hover,
.button:focus-visible {
  background-color: #615048;
}

.button:active {
  color: hsla(0, 0%, 100%, 0.3);

  background-color: #756157;
}

.button:disabled,
.button.disabled,
.button:disabled:hover,
.button.disabled:hover,
.button:disabled:focus-visible,
.button.disabled:focus-visible,
.button:disabled:active,
.button.disabled:active {
  background-color: #e5e5e5;
  cursor: default;
  pointer-events: none;
}

/* Pages */
/* Header */
.page-header {
  padding-left: 70px;
  padding-right: 70px;
}

.navigation {
  position: relative;

  display: flex;
  align-items: center;
  margin: 0 auto;
}

.navigation-logo {
  width: 138px;
  height: 68px;
  margin-right: 30px;
  margin-bottom: -6px;

  transition: opacity 0.3s ease;
}

.page-header-logo {
  position: absolute;
  top: 0;
  left: 0;
}

.navigation-logo:hover {
  opacity: 0.7;
}

.navigation-logo:focus-visible {
  opacity: 0.7;
}

.navigation-logo:active {
  opacity: 0.3;
}

.navigation-list {
  display: flex;
  flex-wrap: wrap;
  width: 500px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.navigation-link {
  position: relative;

  display: block;
  padding: 20px 16px;

  font-size: 20px;
  line-height: 24px;
  font-weight: 700;
  text-decoration: none;
  color: #000000;

  background-color: #ffffff;

  transition: color 0.3s ease;
}

.navigation-link:hover {
  color: #756157;
}

.navigation-link:focus-visible {
  color: #756157;
}

.navigation-link:active {
  color: hsla(20, 15%, 40%, 0.3);
}

.navigation-link-current,
.navigation-link-current:hover,
.navigation-link-current:focus-visible,
.navigation-link-current:active {
  color: #000000;

  cursor: default;
}

.navigation-link-current::before {
  content: "";
  position: absolute;
  right: 16px;
  bottom: -1px;
  left: 16px;

  height: 2px;

  background-color: #756257;
}

.navigation-user {
  justify-content: flex-start;

  max-width: 88px;
  margin-left: auto;
  margin-right: 20px;
}

.navigation-user .navigation-link {
  min-width: 44px;
  min-height: 64px;
}

.navigation-icon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  margin: auto;

  fill: #000000;

  transition: fill 0.3s ease;
}

.navigation-link:hover .navigation-icon {
  fill: #756157;
}

.navigation-link:focus-visible .navigation-icon {
  fill: #756157;
}

.navigation-link:active .navigation-icon {
  fill: hsla(20, 15%, 40%, 0.3);
}

.notification-badge {
  position: absolute;
  top: 11px;
  left: 20px;

  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 20px;
  height: 20px;
  padding: 5px;

  font-size: 10px;
  line-height: 10px;
  font-weight: 400;
  text-align: center;
  color: #ffffff;

  background-color: #7db54f;
  border-radius: 100vh;
}

.button-header {
  max-width: 165px;
  padding: 8px 34px;
}

/* Main */
.main-container {
  flex-grow: 1;
}

/* Hero */
.hero {
  padding-top: 51px;
  padding-bottom: 82px;

  background-image:
    url("../images/hero/hero-mask.svg"),
    url("../images/hero/hero-background.jpg");
  background-repeat: no-repeat;
  background-size: 100% auto, cover;
  background-position: center bottom, center;
  background-color: #333333;
}

.hero-image {
  display: block;
  margin: 0 auto;
}

/* Advantages */
.advantages {
  text-align: center;
}

.advantages-container {
  padding-top: 69px;
  padding-bottom: 90px;
  padding-left: 70px;
  padding-right: 70px;
}


.advantages-title {
  margin-top: 0;
  margin-bottom: 25px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;

  color: #000000;
  text-transform: uppercase;
}

.advantages-lead {
  margin-top: 0;
  margin-bottom: 0;

  font-size: 22px;
  line-height: 26px;
}

.advantages-list {
  display: flex;
  flex-wrap: wrap;
  width: 1200px;
  margin: 0 auto;
  padding: 0;

  list-style-type: none;
}

.advantages-item {
  width: 400px;
  padding: 112px 85px;

  background-color: hsla(204, 48%, 67%, 0.12);
}

.advantages-item-accent {
  background-color: hsla(204, 48%, 67%, 0.2);
}

.advantages-item-title {
  position: relative;

  margin-top: 0;
  margin-bottom: 62px;

  font-size: 24px;
  line-height: 28px;
  font-weight: 700;

  color: #000000;
  text-transform: uppercase;
}

.advantages-item-title::before {
  content: "";
  position: absolute;
  bottom: -32px;
  left: 50%;

  width: 60px;
  height: 2px;
  margin-left: -30px;

  background-color: hsla(0, 0%, 0%, 0.3);
}

.advantages-item-wide .advantages-item-title::before {
  background-color: hsla(0, 0%, 100%, 0.3);
}

.advantages-item-text {
  margin-top: 0;
  margin-bottom: 0;
}

.advantages-item-wide {
  display: flex;
  width: 1200px;

  color: #ffffff;
  background-color: #82b3d3;
}

.advantages-item-wide-reverse {
  flex-direction: row-reverse;
}

.advantages-item-wide-container {
  width: 400px;
  padding: 102px 85px;
}

.advantages-item-wide .advantages-item-title {
  color: #ffffff;
}

.advantages-item-image {
  display: block;
  max-width: 100%;
  height: auto;
  object-fit: cover;
}

/* Services */
.services {
  text-align: center;
}

.services-container {
  padding-top: 65px;
  padding-bottom: 64px;
  padding-left: 70px;
  padding-right: 70px;

}

.services-title {
  margin-top: 0;
  margin-bottom: 20px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

.services-lead {
  margin-top: 0;
  margin-bottom: 0;

  font-size: 22px;
  line-height: 26px;
}

.services-list {
  display: flex;
  flex-wrap: wrap;
  width: 1200px;
  margin: 0 auto;
  padding: 0;

  list-style-type: none;
}

.services-item {
  width: 400px;
  padding: 183px 85px 81px;
}

.services-item-accent {
  background-color: hsla(204, 48%, 67%, 0.12);
}

.services-item-title {
  position: relative;

  margin-top: 0;
  margin-bottom: 30px;

  font-size: 24px;
  line-height: 28px;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

.services-item-title::before {
  content: "";
  position: absolute;
  left: 50%;

  background-color: transparent;
}

.services-item-title-hotel::before {
  top: -102px;

  width: 75px;
  height: 72px;
  margin-left: -38px;

  background-image: url("../images/house.svg");
  background-repeat: no-repeat;
}

.services-item-title-food::before {
  top: -101px;

  width: 74px;
  height: 70px;
  margin-left: -37px;

  background-image: url("../images/food.svg");
  background-repeat: no-repeat;
}

.services-item-title-gift::before {
  top: -104px;

  width: 64px;
  height: 76px;
  margin-left: -32px;

  background-image: url("../images/gift.svg");
  background-repeat: no-repeat;
}

.services-item-text {
  margin-top: 0;
  margin-bottom: 0;
}

/* Search */
.search {
  text-align: center;
}

.search-container {
  padding-top: 96px;
  padding-bottom: 96px;
  padding-left: 70px;
  padding-right: 70px;
}

.search-title {
  margin-top: 0;
  margin-bottom: 20px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

.search-lead {
  margin-top: 0;
  margin-bottom: 54px;

  font-size: 22px;
  font-weight: 400;
  line-height: 26px;
  text-align: center;
}

.button-search {
  max-width: 376px;
  padding: 8px 50px;

  font-size: 20px;
  line-height: 36px;
  font-weight: 700;
}

/* Subscription */
.subscription {
  text-align: center;

  background-image: url("../images/subscribe/subscribe-background.jpg");
  background-color: #333333;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.subscription-container {
  padding-top: 96px;
  padding-bottom: 104px;
  padding-left: 70px;
  padding-right: 70px;
}

.subscription-title {
  margin-top: 0;
  margin-bottom: 20px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;
  color: #ffffff;
  text-transform: uppercase;
}

.subscription-text {
  margin-top: 0;
  margin-bottom: 55px;

  font-size: 22px;
  line-height: 26px;
  color: #ffffff;
}

.subscription-form {
  display: flex;
  justify-content: center;
}

.subscription-form-email {
  flex-shrink: 0;
  margin: 0;
}

.subscription-field {
  width: 452px;
  height: 100%;
  padding: 14px 20px;

  font-family: inherit;
  font-size: 18px;
  line-height: 24px;
  font-weight: 400;
  color: #000000;
  background-color: #f2f2f2;

  border: none;
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.subscription-field::placeholder {
  color: #000000;
  opacity: 0.6;
}

.subscription-field:hover {
  background-color: #e6e6e6;
}

.subscription-field:disabled {
  background-color: #f2f2f2;
  opacity: 0.3;
}

.button-subscription {
  width: 232px;
  padding: 8px 50px;

  font-size: 20px;
  line-height: 36px;

  background-color: #82b3d3;
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.button-subscription:hover {
  background-color: #68a2ca;
}

.button-subscription:focus-visible {
  background-color: #68a2ca;
}

.button-subscription:active {
  color: hsla(0, 0%, 100%, 0.3);
  background-color: #82b3d3;
}

.button-subscription:disabled,
.button-subscription.disabled {
  background-color: #e5e5e5;
}

/* Footer */
.page-footer-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin:0 auto;
  padding-top: 45px;
  padding-bottom: 35px;
  padding-left: 70px;
  padding-right: 70px;
}

.footer-social-list {
  display: flex;
  flex-wrap: wrap;
  max-width: 150px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.footer-social-item {
  margin: 0;
}

.footer-social-link {
  position: relative;

  display: block;
  width: 47px;
  height: 40px;
}

.footer-social-icon {
  position: absolute;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;

  margin: auto;

  fill: #83b3d3;

  transition: fill 0.3s ease;
}

.footer-social-link:hover svg {
  fill: #68a2ca;
}

.footer-social-link:focus-visible svg {
  fill: #68a2ca;
}

.footer-social-link:active svg{
  fill: hsla(204, 48%, 60%, 0.3);
}

.footer-phone {
  max-width: 700px;

  font-size: 40px;
  line-height: 40px;
  font-weight: 400;
  text-align: center;
  color: #000000;
  text-decoration: none;

  transition: color 0.3s ease;
}

.footer-phone:hover {
  color: #756157;
}

.footer-phone:focus-visible {
  color: #756157;
}

.footer-phone:active {
  color: hsla(20, 15%, 40%, 0.3);
}

.footer-htmlacademy-link {
  width: 115px;
}

.footer-htmlacademy-link svg {
  fill: #000000;

  transition: fill 0.3s ease;
}

.footer-htmlacademy-link:hover svg{
  fill: #756157;
}

.footer-htmlacademy-link:focus-visible svg {
  fill: #756157;
}

.footer-htmlacademy-link:active svg {
  fill: hsla(20, 15%, 40%, 0.3);
}

/* Page catalog */
.inner-container {
  padding: 35px 70px 70px;

  background-image: url("../images/filter/filter-background.jpg");
  background-color: #756157;
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.inner-header {
  margin-bottom: 35px;
}

.inner-header-title {
  margin-top: 0;
  margin-bottom: 8px;

  font-size: 60px;
  line-height: 78px;
  font-weight: 700;
  color: #ffffff;
}

.breadcrumbs {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0;
  padding: 0;

  color: #ffffff;

  list-style-type: none;
}

.breadcrumbs-item {
  position: relative;

  margin-right: 28px;
  margin-bottom: 5px;
}

.breadcrumbs-link {
  font-size: 16px;
  color: inherit;
  text-align: center;
  text-decoration: none;
}

.breadcrumbs-item::after {
  content: "";
  position: absolute;

  display: block;
  width: 7px;
  height: 10px;
  bottom: 5px;
  right: -18px;

  background-image: url("../images/arrow-right.svg");
  background-position: center;
  background-repeat: no-repeat;
}

.breadcrumbs-item:last-child.breadcrumbs-item::after {
  content: none;
}

.breadcrumbs-icon {
  fill: #ffffff;
}

.breadcrumbs-icon:hover {
  fill: hsla(0, 0%, 100%, 0.6);
}

.breadcrumbs-icon:focus-visible {
  fill: #ffffff;
}

.breadcrumbs-icon:active {
  fill: hsla(0, 0%, 100%, 0.3);
}

/* Filter */
.filter-form {
  display: flex;
}

.filter-group {
  margin: 0;
  padding: 0;

  border: none;
}

.filter-list {
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.filter-item:not(:last-child) {
  margin-bottom: 16px;
}

.filter-title {
  margin-bottom: 32px;

  font-size: 20px;
  line-height: 24px;
  font-weight: 700;
  color: #ffffff;
  text-transform: capitalize;
}

.filter-group-infrastructure {
  width: 150px;
  margin-right: 67px;
}

.filter-group-type {
  width: 150px;
  margin-right: 140px;
}

.filter-group-price {
  width: 288px;
  margin: 0;
  padding: 0;
}

/* Price inputs */
.range-wrapper-inputs {
  display: flex;
  justify-content: space-between;
  gap: 2px;
}

.range-wrapper-input:not(:last-child) {
  margin-bottom: 44px
}

.range-wrapper-input {
  position: relative;
}

.range-input {
  width: 143px;
  padding: 13px 50px 13px 20px;

  font: inherit;
  font-weight: 700;

  background-color: #f2f2f2;
  border: none;
  border-radius: 4px;
  -webkit-appearance: textfield;
  appearance: textfield;
}

.range-input:hover,
.range-input:focus-visible  {
  background-color: #e6e6e6;
}

.range-input:focus-visible {
  outline: 3px solid #83b3d3;
}

.range-input::-webkit-outer-spin-button,
.range-input::-webkit-inner-spin-button {
  margin: 0;

  -webkit-appearance: none;
  appearance: none;
}

.range-input-min {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.range-input-max {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.catalog-filter-label {
  position: absolute;
  top: 13px;
  right: 20px;
  z-index: 1;

  font-size: 18px;

  opacity: 0.3;
}

/* Price range */
.range:not(:last-child) {
  margin-bottom: 44px;
}

.range-scale {
  position: relative;

  height: 4px;

  background-color: hsla(0, 0%, 100%, 0.3);
}

.range-bar {
  position: absolute;

  height: 4px;

  background-color: #ffffff;
}

.range-toggle {
  position: absolute;

  width: 20px;
  height: 20px;

  background: #ffffff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

.range-toggle:hover {
  background-color: #ffffff;
  box-shadow: 0 4px 10px 0 #00000040;
}


.range-toggle:focus-visible {
  background: #ffffff;
  outline: 3px solid #83b3d3;
  box-shadow: 0 4px 10px 0 hsla(0, 0%, 0%, 0.25);
}


.range-toggle:active {
  outline: 2px solid #83b3d3;
  box-shadow: 0 7px 15px 0 hsla(0, 0%, 0%, 0.4);
}



.toggle-min {
  top: -8px;
  left: 0;
}

.toggle-max {
  top: -8px;
  right: 0;
}

/* Control */
.control {
  position: relative;

  display: block;
  padding-left: 36px;

  line-height: 23px;
  color: #ffffff;
}

.control-mark {
  position: absolute;
  top: 2px;
  left: 0;

  width: 20px;
  height: 20px;

  background-color: #ffffff;
  border-radius: 4px;
}

/* Label */
.control-label {
  font-size: 18px;
  line-height: 23px;
  word-break: break-all;

  transition: opacity 0.3s ease;
}

.control:hover .control-mark,
.control:hover .control-label {
  opacity: 0.6;
}

.control-input[type="checkbox"]:focus-visible + .control-mark,
.control-input[type="radio"]:focus-visible + .control-mark {
  outline: 3px solid #83b3d3;
}

.control:active .control-mark,
.control:active .control-label {
  opacity: 0.3;
}


/* Checkbox */
.control-input[type="checkbox"]:checked + .control-mark::before {
  content: "";
  position:absolute;
  top: 6px;
  left: 4px;

  width: 13px;
  height: 10px;

  background: url("../images/check.svg");
}

/* Radio */
.control-input[type="radio"] + .control-mark {
  border-radius: 50%;
}

.control-input[type="radio"]:checked + .control-mark::before {
  content: "";
  position: absolute;
  top: 5px;
  left: 5px;
  width: 10px;
  height: 10px;

  background: #3f5e72;
  border-radius: 50%;
}

.control-input:disabled ~ .control-mark,
.control-input:disabled ~ .control-label {
  opacity: 0.3;
  pointer-events: none;
}

.filter-buttons {
  width: 191px;
  margin-left: auto;
  padding-top: 56px;

  text-align: right;
}

.filter-buttons button:not(:last-child) {
  margin-bottom: 32px;
}

.button-submit {
  width: 100%;
  padding-top: 8px;
  padding-bottom: 8px;

  background-color: #82b3d3;
}

.button-submit:hover {
  background-color: #68a2ca;
}

.button-submit:focus-visible {
  background-color: #68a2ca;
}

.button-submit:active {
  color: hsla(0, 0%, 100%, 0.3);
  background-color: #82b3d3;
}

.button-submit:disabled,
.button-submit.disabled,
.button-submit:disabled:hover,
.button-submit.disabled:hover,
.button-submit:disabled:focus-visible,
.button-submit.disabled:focus-visible,
.button-submit:disabled:active,
.button-submit.disabled:active {
  color: #ffffff;
  background-color: #e5e5e5;
  pointer-events: none;
}

.button-reset {
  width: 100%;
  padding-top: 8px;
  padding-bottom: 8px;

  background-color: transparent;
}

.button-reset:hover {
  background-color: transparent;
  opacity: 0.6;
}

.button-reset:focus-visible {
  background-color: transparent;

  outline: 2px solid #68a2ca;
  outline-offset: -2px;
}

.button-reset:active {
  background-color: transparent;
  opacity: 0.3;
}

.button-reset:disabled,
.button-reset.disabled,
.button-reset:disabled:hover,
.button-reset.disabled:hover,
.button-reset:disabled:focus-visible,
.button-reset.disabled:focus-visible,
.button-reset:disabled:active,
.button-reset.disabled:active {
  background-color: transparent;
  opacity: 0.1;
  pointer-events: none;
}

/* Sort */
.sort {
  display: flex;
  align-items: flex-start;
  padding-top: 50px;
  padding-bottom: 40px;
  padding-left: 70px;
  padding-right: 70px;
}

.sort-message {
  width: 400px;
  margin-top: 0;
  margin-bottom: 0;
  margin-right: auto;
  padding-top: 7px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

.select-control {
  width: 290px;
  padding: 12px 16px;
  padding-right: 50px;
  font: inherit;

  background-image: url("../images/arrow-bottom.svg");
  background-repeat: no-repeat;
  background-position: right 20px center;
  background-color: #ffffff;
  border: 2px solid #e5e5e5;
  border-radius: 4px;
  -webkit-appearance: none;
  appearance: none;
}

.select-control:hover,
.select-control:focus-visible  {
  outline: 2px solid #68a2ca;
  outline-offset: -2px;
}

.select-control:active {
  border: hsla(0, 0%, 0%, 0.3);
}

.select-control:disabled,
.select-control.disabled,
.select-control:disabled:hover,
.select-control.disabled:hover,
.select-control:disabled:focus-visible,
.select-control.disabled:focus-visible {
  color: #000000;
  border: 2px solid #000000;
  opacity: 0.3;
  outline: none;
}

.sort-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
  gap: 8px;
  max-width: 160px;
  margin-left: 70px;
}

.card-grid-toggle {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48px;
  height: 48px;
  border: 2px solid #e5e5e5;
  border-radius: 4px;
}

.card-grid-toggle svg {
  fill: #000000;
}

.card-grid-toggle:hover {
  border-color: #000000;
}

.card-grid-toggle:focus-visible {
  outline: 2px solid #68a2ca;
  outline-offset: -2px;
}

.card-grid-toggle:active {
  border-color: #000000;
}

.card-grid-toggle-current {
  border: 2px solid #000000;
}

/* Catalog */
.catalog {
  padding-left: 70px;
  padding-right: 70px;
}

.catalog-list {
  display: grid;
  grid-template-columns: repeat(3, 340px);
  gap: 19px 20px;
  margin: 0 auto;
  padding: 0;
  padding-bottom: 40px;

  border-bottom: 1px solid #e6e6e6;
  list-style-type: none;
}

/* Card */
.catalog-item {
  display: flex;
  flex-direction: column;
  padding: 19px;

  border: 1px solid #e6e6e6;
  border-radius: 4px;

  transition: box-shadow 0.3s ease;
}

.catalog-item:hover {
  box-shadow: 0 0 15px 0 hsla(0, 0%, 0%, 0.2);
}

.catalog-item:has(.card-link:focus-visible),
.catalog-item:has(.button:focus-visible)  {
  box-shadow: 0 0 15px 0 hsla(0, 0%, 0%, 0.2);
}

.card-link {
  text-decoration: none;
  margin-bottom: 16px;
}

.card-image {
  display: block;
  max-width: 100%;
  height: auto;
  margin-bottom: 16px;
  object-fit: contain;
}

.card-title {
  margin-top: 0;
  margin-bottom: 0;

  font-size: 24px;
  line-height: 28px;
  font-weight: 700;
  color: #000000;
}

.card-specification {
  display: flex;
  justify-content: space-between;
  flex-grow: 1;

  margin-top: 0;
  margin-bottom: 16px;
}

.card-type {
  width: 140px;
}

.card-price {
  width: 140px;

  font-weight: 400;
  text-align: right;
}

.card-buttons {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-top: 0;
  margin-bottom: 17px;
}

.button-more-info {
  width: 140px;
  padding: 8px;

  text-align: center;
}

.button-more-info:disabled,
.button-more-info.disabled,
.button-more-info:disabled:hover,
.button-more-info.disabled:hover,
.button-more-info:disabled:focus-visible,
.button-more-info.disabled:focus-visible,
.button-more-info:disabled:active,
.button-more-info.disabled:active {
  color: #ffffff;

  background-color: #e5e5e5;
  pointer-events: none;
}

.batton-favorites {
  width: 140px;
  padding: 8px;

  text-align: center;

  background-color: #82b3d3;
}

.batton-favorites:hover,
.batton-favorites:focus-visible {
  background-color: #68a2ca;
}

.batton-favorites:active {
  color: hsla(0, 0%, 100%, 0.3);

  background-color: #82b3d3;
}

.batton-favorites:disabled,
.batton-favorites.disabled,
.batton-favorites:disabled:hover,
.batton-favorites.disabled:hover,
.batton-favorites:disabled:focus-visible,
.batton-favorites.disabled:focus-visible,
.batton-favorites:disabled:active,
.batton-favorites.disabled:active {
  color: #ffffff;

  background-color: #e5e5e5;
}

.batton-favorites-checked {
  background-color: #7db54f;
}

.batton-favorites-checked:hover,
.batton-favorites-checked:focus-visible {
  background-color: #6c9e42;
}

.batton-favorites-checked:active {
  color: hsla(0, 0%, 100%, 0.3);
  background-color: #7db54f;
}

.batton-favorites-checked:disabled,
.batton-favorites-checked.disabled,
.batton-favorites-checked:disabled:hover,
.batton-favorites-checked.disabled:hover,
.batton-favorites-checked:disabled:focus-visible,
.batton-favorites-checked.disabled:focus-visible,
.batton-favorites-checked:disabled:active,
.batton-favorites-checked.disabled:active {
  color: #ffffff;
  background-color: #e5e5e5;
}

.card-rating {
  display: flex;
  justify-content: space-between;
  margin-top: 0;
  margin-bottom: 0;
}

.card-rating-list {
  display: flex;
  align-items: center;
  gap: 6px;
  width: 140px;
  margin: 0;
  padding: 0;

  list-style-type: none;
}

.card-rating-item {
  width: 18px;
  height: 18px;

  background-image: url("../images/star.svg");
}

.card-rating-text {
  width: 140px;
  padding-top: 8px;
  padding-bottom: 8px;

  font-size: 16px;
  text-align: center;
  text-transform: uppercase;

  background-color: #f2f2f2;
  border-radius: 4px;
}

/* Pagination */
.pagination {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  margin: 0;
  padding: 0;
  padding-top: 32px;
  padding-bottom: 50px;

  list-style-type: none;
}

.pagination-item {
  margin-bottom: 5px;
  width: min-content;
}

.pagination-item:not(:last-child) {
  margin-right: 8px;
}

.pagination-link {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 60px;
  min-width: 60px;
  padding: 12px;

  font-size: 20px;
  line-height: 36px;
  font-weight: 700;
  color: #ffffff;
  text-decoration: none;

  background-color: #82b3d3;
  border-radius: 4px;

  transition:
    background-color 0.3s ease,
    color 0.3s ease;
}

.pagination-link:hover {
  background-color: #68a2ca;
}

.pagination-link:focus-visible {
  background-color: #68a2ca;
}

.pagination-link:active {
  color: hsla(0, 0%, 100%, 0.3);

  background-color: #82b3d3;
}

.pagination-link-current,
.pagination-link-current:hover,
.pagination-link-current:focus-visible,
.pagination-link-current:active {
  color: #000000;

  background-color: #f2f2f2;
  cursor: default;
}

.pagination-dots,
.pagination-dots:hover,
.pagination-dots:focus-visible,
.pagination-dots:active {
  padding: 17px 22px;

  color: #000000;

  background-color: #ffffff;
}

/* Catalog subscription */
.main-inner .subscription {
  background-image: none;
  background-color: #ffffff;
}

.main-inner .subscription-title {
  color: #000000;
}

.main-inner .subscription-text {
  color: #333333;
}

.main-inner .subscription input {
  background-color: #f2f2f2;
}

/* Modal */
.modal-container {
  position: fixed;
  top: 0;
  left: 0;

  display: flex;
  width: 100%;
  height: 100%;

  background-color: hsla(0, 0%, 95%, 0.8);
}

.modal-container-close {
  display: none;
}

.modal {
  position: relative;

  margin: auto;
  padding: 64px 70px;

  background-color: #ffffff;
  border-radius: 30px;
  box-shadow: 0 25px 50px 0 hsla(0, 0%, 0%, 0.15);
}

.modal-search {
  width: 717px;
}

/* Modal close button */
.modal-close-button {
  position: absolute;
  top: 64px;
  right: 52px;

  width: 52px;
  height: 52px;
  padding: 19px;

  background-color: #f2f2f2;
  border: none;
  border-radius: 50%;
  cursor: pointer;
}

.modal-close-button:hover {
  background-color: #e6e6e6;
}

.modal-close-button:focus-visible {
  background-color: #e6e6e6;
  outline: 3px solid #83b3d3;
}

.modal-close-button:active svg {
  fill: hsla(0, 0%, 0%, 0.3);
}

.modal-close-button:active {
  background-color: #e6e6e6;
}

.modal-title {
  margin: 0;
  margin-bottom: 64px;

  font-size: 30px;
  line-height: 36px;
  font-weight: 700;
  color: #000000;
  text-transform: uppercase;
}

.search-form {
  display: grid;
  grid-template-columns: 137px 110px 88px 131px 111px;
  row-gap: 23px;
}

.search-form .field-group {
  position: relative;

  display: grid;
  grid-template-columns: 1fr 440px;
  row-gap: 4px;
  grid-column: 1/-1;
  margin: 0;

  align-items: center;
}

.search-form .search-form-label {
  font-size: 20px;
  line-height: 24px;
  font-weight: 700;
  text-transform: capitalize;
}

.search-form-input {
  position: relative;

  padding: 12px 20px 11px;

  font-family: inherit;
  font-size: 18px;
  font-weight: 700;
  line-height: 24px;
  color: #000000;

  background-color: #f2f2f2;
  border: none;
  border-radius: 4px;
}

.search-form .input-date {
  padding-right: 50px;

  background-image: url("../images/date.svg ");
  background-repeat: no-repeat;
  background-position: center right 22px;
}

.search-form .input-date::placeholder {
  opacity: 0.6;
}

.search-form .input-date:hover,
.search-form .input-date:focus-visible {
  color: hsla(0, 0%, 0%, 0.6);

  background-color: #e6e6e6;
}

.search-form .input-date:focus-visible {
  outline: 3px solid #83b3d3;
}

.modal-field-message {
  grid-column: 2/3;
  padding: 0 20px;

  font-size: 16px;
  line-height: 21px;
  color: #333333;
}

.modal-field-message-error {
  color: #ff5757;
}

.search-form .field-group-count {
  grid-template-columns: 137px 110px 88px 131px 110px;
}

.search-form-option-adults {
  grid-column: 1/3;
  display: grid;
  grid-template-columns: 1fr 110px;
  align-items: center;
}

.search-form-option-kids {
  grid-column: 4/6;
  display: grid;
  grid-template-columns: 1fr 110px;
  align-items: center;
}

.search-form-option-adults .input-count-container {
  grid-column: 2/3;
}

.input-count-container {
  display: flex;
}

.input-count-button {
  display: flex;
  justify-content: center;
  align-items: center;

  width: 40px;

  background-color: #f2f2f2;
  border: none;
  border-radius: 4px;
}

.input-count-button svg {
  border-radius: 3px;

  fill: #756157;
  fill-opacity: 0.3;
}

.input-count-button-minus {
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
}

.input-count-button-plus {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.input-count-button:hover svg,
.input-count-button:focus-visible svg {
  fill: #000000;
  fill-opacity: 1;
}

.input-count-button:focus-visible svg {
  outline: 3px solid #82b3d3;
  outline-offset: 3px;
}

.input-count-button:active svg{
  fill: #000000;
  fill-opacity: 0.2;
}

.input-count {
  width: 31px;
  padding-left: 5px;
  padding-right: 5px;

  text-align: center;

  border-radius: 0;

  -webkit-appearance: textfield;
  appearance: textfield;
}

.input-count::-webkit-outer-spin-button,
.input-count::-webkit-inner-spin-button {
  margin: 0;

  -webkit-appearance: none;
  appearance: none;
}

/* Tooltip */

.form-label-icon {
  position: relative;

  padding-right: 26px;
}

.tooltip {
  position: absolute;

  width: 26px;
  height: 26px;
  margin-left: 10px;

  border-radius: 50%;
}

.tooltip-toggle {
  display: block;
  padding: 0;
  margin: 0;

  background-color: transparent;
  border: none;
}

.tooltip-icon {
  display: block;
  width: 100%;
  height: 100%;

  fill: #83b3d3;
}

.tooltip-text {
  position: absolute;
  top: 100%;
  left: 50%;
  z-index: 1;

  display: none;
  width: 256px;
  margin-top: 15px;
  padding: 20px 18px 23px 22px;

  font-size: 16px;
  line-height: 20px;
  font-weight: 400;
  color: #ffffff;
  background-color: #333333;
  text-transform: none;

  border-radius: 10px;
  box-shadow: 0 15px 30px 0 hsla(0, 0%, 0%, 0.3);

  transform: translateX(-50%);
}

.tooltip-toggle:hover + .tooltip-text,
.tooltip-toggle:focus + .tooltip-text {
  display: block;
}

.tooltip-text::after {
  content: "";
  position:absolute;
  left:0;
  right:0;
  bottom: 100%;

  width: 19px;
  height: 9px;
  margin-left: auto;
  margin-right: auto;

  background-image: url("../images/tooltip-arrow.svg");
}

.search-form-button {
  grid-column: 1/-1;
  margin-top: 25px;
  padding-top: 18px;
  padding-bottom: 18px;

  font-size: 20px;
  line-height: 24px;
  font-weight: 700;

  color: #ffffff;

  background-color: #83b3d3;
  border-radius: 10px;

}

.search-form-button:hover {
  background-color: #68a2ca;
}

.search-form-button:focus-visible {
  background-color: #68a2ca;
}

.search-form-button:active {
  color: hsla(0, 0%, 100%, 0.3);

  background-color: #68a2ca;
}
